#include "xcmodel.h"

XCModel::XCModel()
    : XAsset()
    , mMins()
    , mMaxs()
    , mRadius(0.0f)
    , mLeaf()
{
    
}

XCModel::~XCModel()
{
    
}

void XCModel::ParseData(QDataStream *aStream)
{
    *aStream
        >> mMins[0]
        >> mMins[1]
        >> mMins[2]
        >> mMaxs[0]
        >> mMaxs[1]
        >> mMaxs[2]
        >> mRadius;

    mLeaf.ParseData(aStream);
}

void XCModel::Clear()
{
    mMins = QVector3D();
    mMaxs = QVector3D();
    mRadius = 0.0f;
    mLeaf = XCLeaf();
}
